Enable/Disable Resources in a Blueprint
Facets Deployment Controller API: PUT endpoint to enable or disable resources in a blueprint by stack name, toggling each resource by type and name.
Authorization
basicAuth AuthorizationBasic <token>
In: header
Path Parameters
stackName*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://facetsdemo.console.facets.cloud/cc-ui/v1/designer/string/resource-enable-disable" \ -H "Content-Type: application/json" \ -d '[ {} ]'Empty
{
"approvalUrl": "string",
"code": "string",
"errorCode": "string",
"message": "string",
"missingPermissions": [
"string"
]
}"string"{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}Create a New Resource
Facets Deployment Controller API: POST endpoint to create a new resource in a blueprint branch, specifying its resource name and resource type.
Get Blueprint Resources
Facets Deployment Controller API: GET endpoint to fetch blueprint resources for a given stack name and branch in the designer.